Bug 1282126 - python-pbr: nothing provides python2-pbr
python-pbr: nothing provides python2-pbr
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: python-pbr (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Runge
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-14 19:35 EST by Carl George
Modified: 2016-01-14 03:54 EST (History)
3 users (show)

See Also:
Fixed In Version: python-pbr-1.8.1-3.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-14 03:54:05 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
fix (1.76 KB, patch)
2016-01-04 14:57 EST, Paul Belanger
no flags Details | Diff

  None (edit)
Description Carl George 2015-11-14 19:35:27 EST
Description of problem:
According to the Packaging Guidelines, the subpackage containing the python2 version must provide python2-pbr.  This can be accomplished with a virtual provides or by changing the subpackage layout so that there are python2- and python3- subpackages.

> Name: python-%{srcname}

> %package -n python2-%{srcname}

> %package -n python3-%{srcname}

Additional info:
http://fedoraproject.org/wiki/Packaging:Python#Provides
http://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file
Comment 1 Paul Belanger 2016-01-04 14:57 EST
Created attachment 1111565 [details]
fix

See attached patch.
Comment 2 Fedora Update System 2016-01-05 04:46:46 EST
python-pbr-1.8.1-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-b5048ac997
Comment 3 Fedora Update System 2016-01-05 19:29:07 EST
python-pbr-1.8.1-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-b5048ac997
Comment 4 Fedora Update System 2016-01-14 03:54:03 EST
python-pbr-1.8.1-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.